<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_Debug StructType
 * @subpackage Structs
 */
class JP_Debug extends AbstractStructBase
{
    /**
     * The Time
     * Meta information extracted from the WSDL
     * - use: required
     * @var string
     */
    public $Time;
    /**
     * The texto
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $texto;
    /**
     * Constructor method for JP_Debug
     * @uses JP_Debug::setTime()
     * @uses JP_Debug::setTexto()
     * @param string $time
     * @param string $texto
     */
    public function __construct($time = null, $texto = null)
    {
        $this
            ->setTime($time)
            ->setTexto($texto);
    }
    /**
     * Get Time value
     * @return string
     */
    public function getTime()
    {
        return $this->Time;
    }
    /**
     * Set Time value
     * @param string $time
     * @return \StructType\JP_Debug
     */
    public function setTime($time = null)
    {
        // validation for constraint: string
        if (!is_null($time) && !is_string($time)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($time, true), gettype($time)), __LINE__);
        }
        $this->Time = $time;
        return $this;
    }
    /**
     * Get texto value
     * @return string|null
     */
    public function getTexto()
    {
        return $this->texto;
    }
    /**
     * Set texto value
     * @param string $texto
     * @return \StructType\JP_Debug
     */
    public function setTexto($texto = null)
    {
        // validation for constraint: string
        if (!is_null($texto) && !is_string($texto)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($texto, true), gettype($texto)), __LINE__);
        }
        $this->texto = $texto;
        return $this;
    }
}
